Get Invoice By ID
curl --request GET \
--url https://api.eflow.team/v1/affiliates/billings/affiliates/invoices/{invoiceId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/affiliates/billings/affiliates/invoices/{invoiceId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/affiliates/billings/affiliates/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_affiliate_invoice_id": 123,
"network_id": 123,
"network_affiliate_id": 123,
"status": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"notes": "<string>",
"balance": 123,
"timezone_id": 123,
"currency_id": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"details": [
{
"network_affiliate_invoice_detail_id": 123,
"network_affiliate_invoice_id": 123,
"network_offer_id": 123,
"network_offer_name": "<string>",
"amount": 123,
"invoice_currency_amount": 123,
"currency_id": "<string>",
"notes": "<string>",
"quantity": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"referral_history_id": 123
}
],
"payments": [
{
"network_affiliate_payment_id": 123,
"network_id": 123,
"network_affiliate_invoice_id": 123,
"status": "<string>",
"notes": "<string>",
"amount": 123,
"currency": "<string>",
"unix_timestamp": 123,
"payment_type": "<string>",
"payee_original_amount": 123,
"payee_fee_amount": 123,
"payee_currency": "<string>",
"time_approved": 1734455015,
"time_completed": 1734455015
}
],
"extra_periods": [
{
"network_affiliate_invoice_extra_period_id": 123,
"network_affiliate_invoice_id": 123,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"timezone_id": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"associated_details": [
{
"network_affiliate_invoice_detail_id": 123,
"network_affiliate_invoice_id": 123,
"network_offer_id": 123,
"network_offer_name": "<string>",
"amount": 123,
"invoice_currency_amount": 123,
"currency_id": "<string>",
"notes": "<string>",
"quantity": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"referral_history_id": 123,
"relationship": {
"extra_period_id": 123
}
}
]
}
}
]
}
}Invoices
Get Invoice
GET
/
affiliates
/
billings
/
affiliates
/
invoices
/
{invoiceId}
Get Invoice By ID
Returns full details for a single invoice including line item breakdown, payment history, and extra periods. Line items can be of various types including referral fees, offer details, VAT, and manual adjustments.
Authorizations
The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.
Path Parameters
The numeric ID of the invoice.
Response
Unique identifier for the invoice.
The network ID.
The affiliate ID.
Payment status of the invoice (paid, unpaid).
Start of the billing period.
End of the billing period.
Notes on the invoice.
Outstanding balance on the invoice.
Timezone ID for the invoice period.
Currency code for the invoice (e.g. "USD").
Unix timestamp of when the invoice was created.
Example:
1734455015
Unix timestamp of when the invoice was last saved.
Example:
1734455015
Related data for the invoice.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
